Eclipse Platform Release 3.7

## org.eclipse.core.resources
Interface IPathVariableChangeListener

All Superinterfaces:
  EventListener

    public interface IPathVariableChangeListener

extends EventListener

An interface to be implemented by objects interested in path variable creation, removal and value change events.

Clients may implement this interface.

Since:
  2.1

Method Summary
`void` `pathVariableChanged(IPathVariableChangeEvent event)` Notification that a path variable has changed.

Method Detail

### pathVariableChanged

    void pathVariableChanged(IPathVariableChangeEvent event)

  Notification that a path variable has changed.

  This method is called when a path variable is added, removed or has its value changed in the observed `IPathVariableManager` object.

  Parameters:
    `event` - the path variable change event object describing which variable changed and how
  See Also:
    `IPathVariableManager.addChangeListener(IPathVariableChangeListener)`, `IPathVariableManager.removeChangeListener(IPathVariableChangeListener)`, `IPathVariableChangeEvent`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.